#ifndef VISUALIZE_H
#define VISUALIZE_H

#include <stdbool.h>
#include <SDL/SDL.h>

#include "tsp.h"

bool initVisualizer(int width, int height, int bpp, Uint32 flags);

int waitKey();

/**
 * Check if user has pressed a key (or close window button).
 * @return the keycode of key pressed (or -1 in case of close window button),
 *         or 0 if no key was pressed
 */
int keyPressed();

void quitVisualizer();

void setVisualizerTSP(TSP* tsp);

void clearPicture();

void updatePicture();

void drawEdges();
void drawRoute(Route* route);
void drawNodes();

void highlightNode(int i);
void highlightEdge(int i, int j);
void highlightForwardEdge(Route* route, int i);

#endif
